Loading...
Searching...
No Matches
driver_common.h File Reference
`#include <starpu.h>`
`#include <starpu_util.h>`
`#include <core/jobs.h>`
`#include <common/utils.h>`

Go to the source code of this file.

## Functions

void | _starpu_driver_start_job (struct _starpu_worker *args, struct _starpu_job *j, struct starpu_perfmodel_arch *perf_arch, int rank, int profiling)
void | _starpu_driver_end_job (struct _starpu_worker *args, struct _starpu_job *j, struct starpu_perfmodel_arch *perf_arch, int rank, int profiling)
void | _starpu_driver_update_job_feedback (struct _starpu_job *j, struct _starpu_worker *worker_args, struct starpu_perfmodel_arch *perf_arch, int profiling)
struct starpu_task * | _starpu_get_worker_task (struct _starpu_worker *args, int workerid, unsigned memnode)
int | _starpu_get_multi_worker_task (struct _starpu_worker *workers, struct starpu_task **tasks, int nworker, unsigned memnode)
void * | _starpu_map_allocate (size_t length, unsigned node)
int | _starpu_map_deallocate (void *map_addr, size_t length)
char * | _starpu_get_fdname_from_mapaddr (uintptr_t map_addr, size_t *offset, size_t length)
void * | _starpu_sink_map (char *fd_name, size_t offset, size_t length)
int | _starpu_sink_unmap (uintptr_t map_addr, size_t length)

## Function Documentation

## _starpu_driver_start_job()

void _starpu_driver_start_job | ( | struct _starpu_worker * | args,
|  | struct _starpu_job * | j,
|  | struct starpu_perfmodel_arch * | perf_arch,
|  | int | rank,
|  | int | profiling
| ) |  |

The task job is about to start (or has already started when kernels are queued in a pipeline), record profiling and trace information.

## _starpu_driver_end_job()

void _starpu_driver_end_job | ( | struct _starpu_worker * | args,
|  | struct _starpu_job * | j,
|  | struct starpu_perfmodel_arch * | perf_arch,
|  | int | rank,
|  | int | profiling
| ) |  |

The task job has ended, record profiling and trace information.

## _starpu_driver_update_job_feedback()

void _starpu_driver_update_job_feedback | ( | struct _starpu_job * | j,
|  | struct _starpu_worker * | worker_args,
|  | struct starpu_perfmodel_arch * | perf_arch,
|  | int | profiling
| ) |  |

Feed performance model with the terminated job statistics

## _starpu_get_worker_task()

struct starpu_task * _starpu_get_worker_task | ( | struct _starpu_worker * | args,
|  | int | workerid,
|  | unsigned | memnode
| ) |  |

Get from the scheduler a task to be executed on the worker `workerid`

## _starpu_get_multi_worker_task()

int _starpu_get_multi_worker_task | ( | struct _starpu_worker * | workers,
|  | struct starpu_task ** | tasks,
|  | int | nworker,
|  | unsigned | memnode
| ) |  |

Get from the scheduler tasks to be executed on the workers `workers`